Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class ServletMappingImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.ServletMappingImpl

All Implemented Interfaces:
  java.io.Serializable

    public class ServletMappingImpl

extends java.lang.Object
implements java.io.Serializable

Data structure for each element in the portlet web.xml file. Used in ServletDefinitionImpl. Pluto's ServletMappingImpl had an id field, which didn't appear to be used anywhere.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `servletName`
`private java.lang.String` | `urlPattern`

Constructor Summary
`ServletMappingImpl()`
`ServletMappingImpl(java.lang.String servletName, java.lang.String urlPattern)`

Method Summary
`java.lang.String` | `getServletName()`
`java.lang.String` | `getUrlPattern()`
`void` | `setServletName(java.lang.String servletName)`
`void` | `setUrlPattern(java.lang.String urlPattern)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletName

    private java.lang.String servletName

### urlPattern

    private java.lang.String urlPattern

Constructor Detail

### ServletMappingImpl

    public ServletMappingImpl()

### ServletMappingImpl

    public ServletMappingImpl(java.lang.String servletName,
                              java.lang.String urlPattern)

Method Detail

### getServletName

    public java.lang.String getServletName()

### getUrlPattern

    public java.lang.String getUrlPattern()

### setServletName

    public void setServletName(java.lang.String servletName)

### setUrlPattern

    public void setUrlPattern(java.lang.String urlPattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD